History of changes
------------------
Release R2286 (M2) (2007-04-30)

Fixed bug #1675894 Text formatting not properly retained
Fixed bug #1705899 Number categories not retained
Fixed bug #1702116 Custom format not properly retained(text and number)
Fixed bug #1708654 Superscript formatting is lost
Fixed bug #1708598 Default horizontal alignment not retained
Fixed bug #1707095 Heading style not retained after conversion(align left/right)
Fixed bug #1707313 XLSX: background color of cells is not converted properly
Fixed bug #1708021 Roundtrip: Problem with protected sheets
Fixed bug #1708075 Crash: Business_planner.ods
Fixed bug #1707398 XLSX: background color and border not converted
Fixed bug #1702070 Number format "custom" is converted to "number"
Fixed bug #1706127 empty lines are inserted in filter row
Fixed bug #1705917 Cell styles partially retained
Fixed bug #1707249 Text conversion not proper (Ctrl + Return)
Fixed bug #1707914 XLSX: PAttern is converted to black background color
Fixed bug #1706352 Print Range- Not Proper(Reverse)
Fixed bug #1707197 Roundtrip conversion problem: FM_Shapes.FR.CONFIDENTIAL.xlsx
Fixed bug #1707124 Add-in Crashes when openingnon-ods files
Fixed bug #1704329 Conversion failed: biplangereihe.xlsx
Performance improved: #1702986 Conversion of DataIntake.ods is hanging
Fixed bug #1679589 Readme/help document
Fixed bug #1702037 numbered format "Custom" ignores blanks
Fixed bug #1705851 Crash/Unreadable Content: misc. files
Fixed bug #1705912 Print ranges are not retained
Fixed bug #1698244 Add-in crash- corrupt.ods file


Release R2210 (M2) (2007-04-24)

1699822  PPTX: Font decoration doesn\'t work at all  
1699819  PPTX: Font color doesn\'t work at all  
1699811  PPTX: Font weight doesn\'t work properly  
1699810  PPTX: Font size doesn\'t work properly  
1699177  Text boxes in Layouts are not properly retained (CMD line)  
1699134  Underline style not retained after conversion(CMD line tool - Not present in ODP
1699083  Upper case text is not retained after conversion (CMD line) - Not present in ODP
1697455  Strikethrough Double not retained after conversion (CMD line  - Not present in ODP
1697340  Font size not properly retained(PowerPoint CMD line tool).  
1698243  Text Box Fill color not retained after conversion (CMD Line)  
1697431  Transparency is not retained after conversion (PowerPoint CM  
1697373  Border color not retained after conversion (PowerPoint CMD
1698131  Crash - renaming odp extension to pptx (Command line)  
1699147  Crash- invalid output files extension (CMD line tool)  - Generic message from a common code


Release R2205 (M2) (2007-04-23)

Add Insert > Note (direct conv)
Fixed bug #1693462 File converter failed to open the file
Fixed bug #1677196 Content lost (fixed lines)
Fixed bug #1705621 Add-in Crash-Print Range
Fixed bug #1702981 Conversion result cannot be opened with Excel.

Release R2150 (M2) (2007-04-19)

Presentation:
M2 Milestone drop for PPTX2ODP and vice-versa

Release R2134 (M2) (2007-04-11)

Add Format > Cells > Protection > Hide all
Add partly Format > Cell > Borders
Fixed bug #1675771 Conversion increases file size
Fixed bug #1696792 Add-in crash(merged cells)
Fixed bug #1691486 Text of Eurolook NumPar paragraphs is lost 

Release R2134 (M1) (2007-04-11)

Fixed bug #1675771 Conversion increases file size
Fixed bug #1696792 Add-in crash(merged cells)

Release R2123 (M2) (2007-04-09)

Presentation:
Added the following items for conversion from PPTX2ODP:
ODP Framework Structure having Slide Master, Slide Layouts and Slides
Custom Slide show
Footer
Shapes (Rectangle, and Textbox) with Edit text, Fill (No fill, Solid Fill, Color, Transparency), Line Fill (No line, Solid line, Color, Transparency), and Line Style (Width)
Text Font Formatting
Additionally, included an word document 'ODFConverter-TesterDoc-MS-PPTX.doc' in Command Line Tool zip, where it guides as what are the open facts not covered for this release.

Release R2122 (M2) (2007-04-06)

Fixed bug #1680462 "Merged cell are not retained after round trip conversion"
Fixed bug #1688240 (Cmd Line Tool Zip Exception during conversion(corrupt xlsx))
Fixed bug #1681269 Content alignment. 
Fixed bug #1685902 Crash when “file conversion in progress...” canceled
Fixed Bug #1675771 Conversion increases file size (merged with 
Improved Format -> Page -> Page
Improved Format > Cells > Font > Size
Added Format -> Page -> Header (direct). 
Added Format -> Page -> Footer (direct)

Release R2122 (M1) (2007-04-06)

Fixed bug #1680462 "Merged cell are not retained after round trip conversion"
Fixed bug #1688240 (Cmd Line Tool Zip Exception during conversion(corrupt xlsx))
Fixed bug #1681269 Content alignment. 
Fixed bug #1685902 Crash when “file conversion in progress...” canceled
Fixed Bug #1675771 Conversion increases file size (merged with 

Release R2101 (M2) (2007-04-04)

Fixed bug: #1681269 Content Alignment
Added Format > Page > Page
Added Format > PrintRanges > Edit > PrintRange
Added Big Merge Col(reverse conversion)
Improved Column Width
Added Format > Cells > Borders(direct conversion)
Added Format > Page > Sheet
Added Format > Cells > Numbers > Options

Release R2101 (M1) (2007-04-04)

Fixed bug: #1681269 Content Alignment
Improved Column Width

Release R2082 (M2) (2007-03-30)

Added Format > Cells > Numbers > Options(direct)
Added Format > Cells > Numbers > Format
Added Edit > Headers & Footers(direct)
Fixed bug: #1685964 Font not properly retained(empty cells)
Partly Added "Big Merge Column"
Fixed bug: #1686782 1 blank is converted to 3 blanks
Fixed bug: #1686634 single space eliminated in round trip conversion
Fixed bug: #1686766 RoundTrip Conversion Crash: Diagrammtypen.xlsx
Fixed formula result text
Improved multiline cells style
Fixed bug: #1684407 Excel displays " ", OOo displays "0"
Cleaned OpenOffice namespaces entries

Release R2082 (M1) (2007-03-30)

Fixed bug: #1685964 Font not properly retained(empty cells)
Fixed bug: #1686782 1 blank is converted to 3 blanks
Fixed bug: #1686634 single space eliminated in round trip conversion
Fixed bug: #1686766 RoundTrip Conversion Crash: Diagrammtypen.xlsx
Fixed bug: #1684407 Excel displays " ", OOo displays "0"
Cleaned OpenOffice namespaces entries

Release R2053 (M1) (2007-03-22)
Fixed bug: #1679681 (add-in fails to convert ods file consisting paragraphs)
Added Readme files

Release R2050 (M1) (2007-03-21)

Fixed bug: #1683557 Ods formula with error becomes 0 in .xlsx
Fixed bug: #1681534 Automatic height of rows with merged cells
Fixed bug: #1680659 (crash/recover dialog raises on several(2))
Fixed bug: #1684139 Add-in displays “office 2007 file converters are not found”
Fixed bug: #1674676 Menuitems disappear
Fixed bug: #1684125 Office.dll missing (add-in icon not displayed for office Xp)

ChangeLog Release R2017 (M1) (2007-03-19)

Fixed  #1683593 Column too small
Fixed  #1676490 "Global merge causes read error"
Fixed  #1676481 "Global merge not converted"
Fixed  #1680659 Crash/recover dialog raises on several(2)


Release R1999 (M1) (2007-03-17)

README added
Partly fixed bug #1680659 (Crash/Recover dialog on several files(2))
Fixed Rollback bug #1674676 MenuItems disappear
Fixed bug #1679058 (Inaccessible content ( > 65535 rows))
Fixed bug #1679634 (columns lost after conversion(more than 256 columns))
Fixed bug #1677130 (Font size not correct converted)
Fixed bug #1681261 (Batch conversion from ods to xlsx falls when cancelled)
Fixed bug #1681476 (temp file shown on the conversion window)
Fixed bug #1678982 (sheets lost after conversion(more than 256 sheets))
Partly fixed bug #1676490 (Global merge causes read error)
Fixed bug #1680483 (Merge cell position is not retained after conversion)
Fixed bug #1679681 (Add in fails to convert ods file consisting paragraphs)
Connect classes for Excel10 and Excel11 implement IOdfConverter interface

Release R1916 (M1) (2007-03-13)

Fixed bug: #1678831 Add-in crash -Hidden cells
Fixed bug: #1677177 Content lt
Fixed bug: #1676529 unexpected error when converting password protected file
Fixed bug: #1673947 Crash/Recover dialog raises on several files
Fixed bug: #1677008 Temporary file already existing
Fixed bug: #1674023 Font color not retained
Fixed bug: #1676993 Cell position not retained after conversion
Fixed bug: #1674935 Performance(1BLF-04-5404TB2.CONFIDENTIAL.XLS
Fixed bug #1676970 Improper error message when opening non .ods file
Fixed bug #1676586 Concurrent file access crashes the addin
Fixed bug #1676436 Improper Message while overwriting the existing ODS file

Release R1883 (M1) (2007-03-08)

Fixed bug: #1674896 Excel 2007 'accent colors' not correct converted
Partly Fixed bug: #1672305 Converter crash (EU_ESTAT_LAU.EL..xlsx)
Fixed bug: #1674001 Cell format not correct
Fixed bug: #1674666 Crash when converting from xls to ods

Release R1866 (M1) (2007-03-05)

Fixed bug: #1673911 Document cannot be opened (Bozen_Projektkalender_DE.xlsx)
Fixed bug: #1673993 Excel formula with error becomes 0 in .ods
Fixed bug: #1673990 Row height is not retained
Fixed bug: #1672452 Command line option /OPEN causes Exception
Fixed bug: #1672313 Batch conversion does not convert valid ODF files


Release R1835 (M1) (2007-03-01)

Word translator:
Fixed bug #1669063 Crash: Handboek OOo2Writer_NL.odt
Fixed bug #1669066 Crash: SETUP_GUIDE_PT.odt

Spreadsheet:
All info about features implemented in M1 can be found in Features List which is on Wiki:
<http://projects.clever-age.net/microsoft/odfconverter/trac/attachment/wiki/TesterDoc/Features%20List%20Mapping.xls>


Release R1805 (lot2-M1) (2007-02-25)

Common Framework :
* Fixed bug #1665873 Add-in crashes when importing OASIS Test Suite documents
* Fixed bug on localizing non-english add-ins.

Word translator :
* Fixed bug #1665284 Error on conversion



Release R1653 (1.O1) (2007-01-26)

General:
* Fixed bug #1642447 Crash on roundtrip conversion

OOX->ODF:
* Fixed bug #1619448 (editing) Heading styles no translated ("h", numbering..)
* Fixed bug #1645329 Drop caps not correct retained
* Fixed bug #1623551 Frame color not retained
* Fixed bug #1644539 Picture with border not properly retained



Release R1641 (1.0) (2007-01-26)

General:
* Fixed bug #1604593 Dialog box too small for bigger system font size (Alain's contrib)
* Fixed bug #1645002 Add-in crashes when conversion was canceled

Localization:
* Fixed bug #1645005 Message box shown in English for "Open with Microsoft Word"

ODF->OOX:
* Fixed bug #1642307 Bullets and tab spacing not properly retained after import
* Fixed bug #1641581 Restart at every page –line numbers not properly retained

OOX->ODF:
* Fixed bug #1645123 Headers and Footers not retained
* Fixed bug #1623551 Frame color not retained
* Fixed partially bug #1641405 TOC format not correct retained



Release R1628 (1.0) (2007-01-25)

General:
* Fixed bug #1644285 Unexpected error on non-ASCII file name
* Fixed bug #1619464  Command line converter overwrites existing file

Localization:
* Fixed bug #1643353 InfoBox not localised (Polish) 
* Fixed bug #1643354 infoBox not localised (Dutch)

OOX->ODF:
* Fixed bug #1619448 (editing) Heading styles no translated ("h", numbering..)
* Fixed bug #1640103 Section columns are not properly retained
* Fixed bug #1643482 Extra page added when converting doc file to odt
* Fixed bug #1639387 Table paragraph below spacing is not properly retained
* Fixed bug #1640098 Extra page added when converting docx to odt for section
* Fixed bug #1644402 Toc is not showing page numbers
* Fixed bug #1641525 Footer inserted on first page
* Fixed bug #1641470 Indention on numbered list
* Fixed bug #1641592 Field content not correct
* Fixed bug #1642422 Numbered heading: Tab lost
* Fixed bug #1641493 Page numbers not correct retained
* Fixed bug #1600304 Symbol (square) not retained
* Fixed bug #1641648 (C) copyright symbol lost



Release R1598 (1.0) (2007-01-24)

Localization:
* Fixed bug #1642389 Extraction files screen while installation shown in french
* Fixed bug #1643353: InfoBox not localised (Polish)
* Fixed bug #1640108: Conversion shows some controls (Cancel, Details……) in English
* Fixed Bug #1643408: Message Box not localized

ODF->OOX:
* Fixed bug #1642611 Converted file does not open
* Fixed bug #1640118 Section footnote is not retained below section text
* Fixed bug #1599705 Footnote wrongly formatted
* Fixed bug {1639547 Footer content differs after conversion

OOX->ODF:
* Fixed bug #1644126 Reverse Conversion failing on RTM
* Fixed bug #1641803 section break (next page): page is missing after conversion 
* Fixed bug #1610099 Save as ODT of a DOC file is doing nothing
* Fixed bug #1639543 Additional page
* Fixed bug #1642273 Top and bottom text wrapping not retained
* Fixed bug #1618086 Footer/header content (image) compressed
* Fixed bug #1641618 Formatting/content odd/even footer
* Fixed bug #1642488 Page layouts lost
* Fixed bug #1642418 Page numbers not retained
* Fixed bug #1642288 In line with text-Frame border and frame size not retained
* Fixed bug #1643482 Extra page added when converting doc file to odt
* Fixed bug #1641576 Font size not correct
* Fixed bug #1642428 Table ruined
* Fixed bug #1642447 Crash on roundtrip conversion
* Fixed bug #1639358 Header/Footer content lost
* Fixed bug #1642535 Converter crash
* Fixed bug #1641788 Docx file changed in WORD 2003 -> conversion crashes
* Fixed bug #1641591 Footer: additional content
* Fixed bug #1623551 Frame color not retained.
* Fixed bug #1641521 Header formatting/content
* Fixed Bug #1641479 Cross References not visible until update 
* Fixed bug #1641495 Heading: spacing not correct
* Fixed bug #1641575 Frame positions converted differently
* Fixed bug #1641650 Bullet conversion problem.
* Fixed bug #1640103 Section columns are not properly retained.
* Fixed bug #1640098 Extra page added when converting docx to odt for section.
* Fixed bug #1641485 Line numbering not retained
* Fixed bug #1639537 Formatting not correct retained


Release R1556 (1.0) (2007-01-22)

ODF->OOX:
* Fixed bug #1640118 Section footnote is not retained below section text
* Fixed bug #1641336 page count with in a frame is not retained after conversion
* Fixed bug #1640101 Microsoft word terminates when importing
* Fixed bug #1641353 Add-in crashes when frame has basic drawings

OOX->ODF:
* Fixed bug #1641672 Merged cells
* Fixed bug #1639329 Frame inline with text wrapping is not properly retained
* Fixed bug #1641532 Heading: numbering lost
* Fixed bug #1623551 Frame color not retained
* Fixed bug #1641559 Tab aligned text
* Fixed bug #1623551 Frame color not retained
* Fixed bug #1641400 table -drawing not retained
* Fixed bug #1640103 Section columns are not properly retained
* Fixed bug #1639387 Table paragraph below spacing is not properly retained
* Fixed bug #1640098 Extra page added when converting docx to odt for section
* Fixed bug #1639358 Header content lost



Release R1519 (1.0) (2007-01-19)

* Fixed bug #1638512 Open ODF…/Save as ODF options not appearing for word XP

ODF->OOX:
* Fixed bug #1638666 Error in field code
* Fixed bug #1638451 Unexpected error with "TechTemplate simplified.odt"
* Fixed bug #1638494 Crash: Agenda_Elegant_Style_EN.odt
* Fixed bug #1638498 Crash: ELP_FormFields_EN.odt
* Fixed bug #1638501 Crash: German_OO_letter_Office_DE.odt
* Fixed bug #1638404 Add-in crashes while importing documents with custom page
* Fixed bug #1637646 Hebrew (RTL langueges) files convertion issues

OOX->ODF:
* Fixed bug #1638607 First line indetion on numbered list
* Fixed bug #1639423 Change tracking is enabled in converted odt files
* Fixed bug #1639353 Table cell margins not retained
* Fixed bug #1639386 Table borders incomplete
* Fixed bug #1639380 Footer content incomplete
* Fixed bug #1639376 Numbering arabic instead of roman
* Fixed bug #1639375 Image object lost
* Fixed bug #1618059 (Numbering not correct(2))
* Fixed bug #1638369 Page background gets blue
* Fixed bug #1599705 Footer content lost
* Fixed bug #1617929 3 additional pages.
* Fixed bug #1618051 TOC differently formatted
* Fixed bug #1583444 Wrong table shadow depth


Release R1486 (1.0) (2007-01-17)

* Added unique installer for Word2003 and WordXP (Alain's contrib)
* Added localized setups en, de, pl, nl and fr (Alain's contrib)
* Fixed bug #1559078 Parallel installation not throwing error message (Alain's contrib)
* Fixed bug #1614823 AddIn Conflict when installed for Word XP/2003 and 2007 (Alain's contrib)
* Fixed bug #1599669 Add-in for Word 2003 ALWAYS installs Update for (KB908002) (Alain's contrib)

OOX->ODF:
* Added Insert > Text > Quick Parts > Field (fields properties: lowercase, uppercase, first capital, single byte, double byte, title case)
* Added Insert > Text > Quick Parts > Field (DOCPROPERTY, INFO)
* Added Insert > Drop Cap > Drop Cap Options > "Dropped" > Font
* Added Insert > Drop Cap > Drop Cap Options > "Dropped" > Lines to drop & Distance from text
* Fixed bug #1637870 Numbered headings wrongly converted
* Fixed bug #1617998 Space between footnote index and text
* Fixed bug #1637399 Position of frame not retained
* Fixed bug #1620095 Multilevel list: formatting not correct
* Fixed bug #1619474 Custom Meta data not retained
* Fixed bug #1620103 Font size in footer not retained (former fix was regressive).
* Fixed bug #1637403 Background color, frame and text position not properly retained
* Fixed bug #1620103 Font size in footer not retained
* Fixed bug #1618055 Bullet appearing
* Fixed bug #1619479 Built-in meta data not retained
* Fixed bug #1636069 label and number in TOF shown after update
* Fixed bug #1617929 3 additional pages
* Fixed bug #1600388 Additional page
* Fixed bug #1583455 Wrong indent on bulleted lists
* Fixed bug #1599705 Footer content lost
* Fixed bug #1619464 Command line converter overwrites existing file
* Fixed bug #1619510 Entries in manifest.xml
* Fixed bug #1608272 Table border width is not properly retained after conversi



Release R1432 (1.0) (2007-01-15)

ODF->OOX:
* Fixed bug #1631366 Multi column AI fields are not updated when loading document
* Fixed bug #1633019 docx blank document cannot be saved to odt using the add-in

OOX->ODF:
* Added References > Captions(+ changes in MSWord2007-Users-Features List and OdfCheckIfIndexPostProcessor)
* Added References > Table of contents > Table of contents > Use hyperlinks instead of page numbers
* Added Insert > Text > Quick Parts > Field (lastsavedby, revnum, filename, keywords, docproperty-company, useraddress, template, numwords, numchars, docproperty-paragraphs)
* Added text-box tools -> shadow effect
* Added References > Index > Insert index
* Added References > Index > Mark entry > Index > subentry
* Fixed bug #1634088 (ASAP please): Additional content appearing
* Fixed bug #1631411 Frame not retained when implemented with change tracking
* Fixed bug #1630467 Hidden Font Effect is not retained properly
* Fixed bug #1633205 Language attribute of text not converted
* Fixed bug #1629328 Hyperlink for image is not retained after conversion
* Fixed bug #1632210 "Word2003: Converter crashs during roundtrip conversion"
* Fixed bug #1633129 custom border table not properly retained after conversion
* Fixed bug #1632109 additional bullet is displayed after conversion



Release R1403 (1.0) (2007-01-10)

ODF->OOX:
* Fixed bug #1631366 Multi column AI fields are not updated when loading document

OOX->ODF:
* Fixed bug: #1618011 footnote format: underline blue - lost
* Fixed bug: #1628943 Change tracking: bullet added
* Fixed bug: #1628945 Change tracking: newline removed
* Fixed bug: #1631209 Change tracking within frames is not retained after conversion
* Fixed bug: #1618011 footnote format: underline blue - lost
* Fixed bug: #1631146 Spacing not retained when implemented with change tracking
* Fixed bug: #1631411 Frame not retained when implemented with change tracking
* Fixed bug: #1629272 Page columns are not retained after conversion.
* Fixed bug: #1628671 Normal style is not used as default style
* Fixed bug: #1628952 Change tracking: style lost
* Added: Insert > Text > Quick Parts > Field (User initials, User name, Author)
* Added: References > Table of contents >Table of contents >Table entry fields



Release R1377 (1.0) (2007-01-08)

ODF->OOX:
* Added Index and Tables - Bibliography Entry > Entry
* Fixed bug #1615746 Field update behaviour
* Fixed bug #1619464 Command line converter overwrites existing file
* Fixed bug #1620859 usage information of commandline converter not correct

OOX->ODF:
* Added Page layout > Page setup > Preview > Line numbers
* Added Review > Tracking > Track changes
* Added Home > Paragraph > Bullets > Bullets > Define new bullet > Bullets library 
* Added Home > Paragraph > Bullets > Bullets > Define new bullet > Symbol
* Added Home > Paragraph > Bullets > Bullets > Define new bullet > Font
* Added References > Table of contents > Table of contents > Options > Build TOC > Styles
* Added Bullets > Bullets > Define new bullet > Picture 
* Added Bullets > Bullets > Define new bullet > Alignment
* Fixed bug #1628952 Change tracking: style lost
* Fixed bug #1618689 Equations not correct positioned
* Fixed bug #1618677 Formatting not correct (partial)
* Fixed bug #1618074 Black text shown in different color
* Fixed bug #1627666 Font color not retained on dark Background color
* Fixed bug #1600292 Footnoteindex \"black\" on \"black\"
* Fixed bug #1619477 "Arrow bullets are not properly retained after conversion"
* Fixed bug #1599705 Footer content lost
* Fixed bug #1618616 "Wrong indent on numbered list"
* Fixed bug #1623551 Frame color not retained.
* Fixed bug #1619474 Custom Meta data not retained




Release R1347 (1.0) (2007-01-03)

ODF->OOX:
* Fixed bug #1619409 Font size of footer text is wrong
* Fixed bug #1620631 Frame size is not retained after import.

OOX->ODF:
* Fixed bug #1618000 Footer content contains additional text
* Fixed bug #1617914 Bullets, spacing to text not correct
* Fixed bug #1619438 header and footer content messed up
* Fixed bug #1617761 Bullets are not properly retained after conversion
* Fixed bug #1624791 Page margins not retained properly
* Fixed bug #1617973 Outline numbering/indention not correct
* Fixed bug #1600292 Footnoteindex "black" on "black"
* Fixed bug #1619332 (unexpected error with Level 1 file Ejemplo revista_ES)
* Fixed bug #1618649 Content alignment not correct retained
* Fixed bug #1618066 Alignment of bulleted list content
* Fixed bug #1619433 page margins not correct
* Fixed bug #1619448 (editing) Heading styles no translated ("h", numbering..)
* Fixed bug #1619479 Built-in meta data not retained
* Fixed bug #1619426 Roundtrip: Empty Paragraph inserted
* Fixed bug #1618016 "Text alignment problem"



Release R1316 (0.3-M2) (2006-12-21)

* Fixed bug #1619415 user-field-decl visible after round-trip Odt2Docx2Odt

OOX->ODF:
* Improved performance for list level properties
* Improved bug 1619332 unexpected error with level1 file Ejemplo revista_ES



Release R1310 (0.3-M2) (2006-12-20)

ODF->OOX:
Fixed bug #1616364 Page break after table not retained.
Fixed bug #1616416 Fill color of frame is not retained.
Fixed bug auto-fit of frame problem. Retrieve allow-overlap, which caused regression.
Fixed bug #1618659 not numbered heading becomes numbered after conversion.
Fixed bug #1618101 Section indent not retained.
Fixed bug #1615749 TOC format not correct.
Fixed bug #1618272 Cross Ref to SEQ fields.
Fixed bug #1619242 Add-In crashes when importing image having multiple capti.
Fixed bug #1618255 Field formatting not correctly shown in Word.
Fixed bug #1619234 Bullets are not retained after import
Fixed bug #1619358  character formatting problems in cross references.
Fixed bug #1619327x Image with caption adds spacing after import.
Fixed bug #1619422 Roundtrip: Date Field lost.
Fixed bug #1619430 Roundtrip: Paragraph indent wrong.

OOX->ODF:
Fixed bug #1618099 Header/footer partially lost
Fixed bug #1618020 Numbering appearing on heading
Fixed bug #1618122 Pagenumber field appearing in the middle of the page
Fixed Bug #1618043 Tabbed list alignment
Fixed bug #1618086 Footer/header content (image) compressed
Fixed bug #1618638 Footnote content (URL) lost
Fixed bug #1617804 Paragraph multiple lines and after spacing is not retained
Fixed bug #1618633 Header on 1st page
Fixed bug #1617885 Table: spacing to contents not converted
Fixed bug #1618643 Text flow problem
Fixed bug #1619406 Image formatted with frame

Release R1283 (0.3-M2) (2006-12-18)

ODF->OOX:

* Fixed bug #1616364 Page break after table not retained
* Fixed bug #1615720 Tab inserted after footnote index
* Fixed bug #1616432 Strike-through not retained
* Fixed bug #1615710 Shadow lost in conversion
* Fixed bug #1616401 Text style without automatic style not retained
* Fixed bug #1616421 Font size wrongly converted
* Fixed bug #1599760 Incomp Spacing not correct

OOX->ODF:
* Fixed bug #1617921 Manual numbering wrongly converted
* Fixed bug #1617804 Paragraph multiple lines and after spacing is not retained
* Fixed bug #1615726 Text direction in frame is not retained in reverse conversion
* Fixed bug #1615717 Page number format not retained in reverse conversion
* Added References/Citations & Bibliography/Insert citation/Add new source/Type of Source/Bibliography/Insert Bibliography (Bibliography Style)



Release R1266 (0.3-M2) (2006-12-15)

ODF->OOX:
* Fixed bug #1616362 Column formatting is not retained
* Fixed bug #1615749 TOC format not correct
* Fixed bug #1616300 Empty page inserted
* Fixed bug #1616337 Whitespace inserted by Converter
* Fixed bug #1615767 Table conversion
* Fixed bug #1615732 Header/footer content wrong converted
* Fixed bug #1614784 Font type and font style are not retained after import
* Fixed bug #1614727 image border is overlapping the wrapping text
* Fixed bug #1614686 Table borders wrong
* Fixed bug #1613912 Table not properly retained properly after import
* Fixed bug #1614679 Paragraph borders are not properly retained after import.

OOX->ODF:
* Added References > Table of Contents > Tables of Contents improved(+ changes in MSWord2007-USers-Features-List
* Added References > Citations & Bibliography > Insert citation > Add new source > Type of Source, Author,  Corporate Author, Title, Year, City, Publisher Bibliography\Insert Bibliography
* Added Insert > Links > Cross Reference
* Fixed bug #1613023 Image border is not retained after conversion



Release R1236 (0.3-M2) (2006-12-13)

ODF -> OOX
* Fixed bug #1613736  "File name were not retained after import"
* Fixed bug #1613912  "Table not properly retained properly after import"
* Fixed bug #1613894  "Add-in crashes when importing odt file is canceled"
* Added: Insert/Fields/Reference ADD Insert/Fiels/Variables (todo :odde, sequnce, page, user-field)
* Added: Insert/Fields/Variables : user feedback for lost feature : DDE field.ADD enter-value-field; user feedback for lost feature : page variable field; user-field; user feedback for lost features : sequence and formulas.
* Added: Insert/Index/Entry/Alphabetical-index. TODO : user-defined entries.
* Added: Insert/index/entries/user-index.
* Added: Insert/index/user-index. Retrieve user feedback on sequence fields (properly converted).

OOX ->ODF

* Fixed bug #1605891 "Frame is not properly retained after conversion"
* Fixed bug #1613023 "Image border is not retained after conversion"
* Fixed bug #1613761  "Page border color is not retained after conversion"
* Fixed bug #1613802  "Spacing between page border and text is not retained after conversion"
* Fixed bug #1613826  "Font size is not retained after conversion."
* Fixed bug #1605879 "Frame with border is converted as frame with No border"
* Fixed bug #1611617 "Converter hangs on document"
* Fixed bug #1613788 "Horizontal ruler in Header & Footer is not retained afte"
* Added: Textbox Tools > Format > TextBox styles > Advanced Layout > Picture position > Options
* Added: Textbox Tools > Format > Text > Text direction
* Added: Textbox Tools > Format > Text > Hyperlink
* Added: Insert > Header & Footer > Page Number > Number Format

Release R1212 (0.3-M2) (2006-12-06)

* Added OpenAndRepair document (Alain's contrib)

ODF->OOX:
* Fixed bug #1585668 Wrong page margins (top and bottom)
* Fixed bug #1610788 tabs in Table Of Contents wrongly converted
* Fixed bug #1610885 File corrupted after conversion (NT Bible)
* Fixed bug #1611391 Indention on multilevel lists
* Fixed bug #1610871 Crash (empty font name in fontTable.xml)
* Fixed bug #1595696 Suggest file name when saving as ODT
* Added Insert > Sections > editable sections in read-only documents

OOX->ODF:
* Fixed bug #1611372 Header and Footer is not displayed on even pages
* Fixed bug #1609841 Frame properties not retained properly
* Fixed bug #1610109 extension .odt not always appended
* Fixed bug #1600351 Pagenumbers converted to text
* Fixed bug #1610079 Font and font size of footer not translated
* Added Home > Paragraph > Horizontal Line Selected/Imported
* Added Insert > text > Quickparts > Fields > Document Property > subject and title 
* Added Picture Tools > Format > Advanced Layout > Picture Position > Option > Layout in table cell > Follow text flow
* Added Page layout > Page background > Borders > Page Border > Shadow
* Added page layout > page setup > margins > pages > multiple pages > mirror margins



Release R1168 (0.3-M2) (2006-12-06)

OOX->ODF:
* Added frames: relative position, relative size
* Added table: page break before
* Added frames: absolute position
* Added header and footer: different on first page
* Added Table of Contents: from outline styles
* Added Comments
* Fixed bug #1605875 Text in header and footer is lost after conversion

ODF->OOX:
* Added section protection (write protect + hide)
* Added frame: target in hyperlink properties
* Fixed bug #1606170 Text achor of drawing not correctly translated
* Fixed bug #1609018 Header Hyperlink Text color is not retained after import
* Fixed bug #1557153 read only sections are editable in Word
* Fixed bug #1557146 hidden section visible in Word (Conditional hidden text)
* Fixed bug #1610033 Numbered heading: number repeated, indention wrong.

Release R1144 (0.3-M2) (2006-12-04)

OOX->ODF:
* Added "Object properties"
* Added Page borders
* Added column width
* Added frames padding, wrap text, fit text, borders
* Fixed bug #1600406 "Tabs differ"
* Fixed bug #1600302 "List indent is not properly retained after import"
* Fixed bug #1583455 "Wrong indent on bulleted lists" and 1596918  "Indention conversion causes layout differences"

ODF->OOX:
* Added Envelope. Only one envelope allowed (frames anchored to page-number cannot be properly converted)
* Fixed bug #1557146 Hidden sections visible in Word
* Fixed bug #1587150 Textbox (frame) position wrong
* Fixed bug #1606170 Text achor of drawing not correctly translated
* Fixed bug #1587812 TrackChanges empty table in original
* Fixed bug #1587874 Conversion fails (Name that shape)



Release R1110 (0.3-M2) (2006-11-29)

OOX->ODF:

* Added sections
* Fixed bug #1601047 Footnote and endnote are not retainded properly
* Added Frames: absolute size and wrapping (partial)
* Added header/footer first page
* Added Frames: distance to text and improved wrapping

ODF->OOX:
* Fixed bug #1549293 Multi columned A.I is converted as single columned A.I
* Fixed bug #1604472 Chapter defined numbering not retained
* Fixed bug #1602421 User feedback for lost feature: chapter
* Fixed Position of rotated frames for 90 and -90 degrees angles. Other angles to come
* Fixed bug #1599747 Chapter number is missed in header field
* Fixed bug #1587874 Conversion fails (Name that shape).



Release R1089 (0.3-M2) (2006-11-27)

OOX->ODF:
* Fixed bug #1601791 Arial font size 10 is converted as calibri font size 11
* Fixed bug #1600295 Wrong bullet type
* Fixed bug #1599701 Text converted to bulleted list - partial (delayed to level 3)

ODF->OOX:
* Fixed bug #1537339 Coding conventions not followed -( connect.cs file)
* Fixed bug #1534346 Unable to convert doc that Open Office Writer can open. missing meta.xml
* Fixed bug #1538073 Table Index not correctly converted
* Fixed bug #1538061 Meta Data - Editing Duration not translated
* Fixed bug #1542566 Special symbols are printed in reverse after import
* Fixed bug #1601057 Drop Cap text was added with border after import
* Fixed bug #1601048 Drop Cap text missing when applied for a frame
* Added page format - paper tray



Release R1072 (0.3-M1) (2006-11-22)

OOX->ODF:
* Fixed bug #1576534 Addin crashes when converting saved odf file to docx
* Fixed bug #1593148 Image partly lost after conversion
* Fixed bug #1600354 Font size wrong retained
* Fixed bug #1600324 Fonts-Hidden option is not checked after conversion

ODF->OOX:
* Fixed bug #1600369 Wrong indent on heading
* Fixed bug #1600391 Spacing b/w paragraphs is not properly retained when comp
* Fixed bug #1585011 Blank missing after conversion
* Fixed bug #1583499 Roman page numbering instead of arabic
* Fixed bug #1584599 language of text information lost



Release R1049 (0.3-M1) (2006-11-20)

OOX->ODF:
* Fixed bug #1585678 perf-large file is not converting properly after import
* Fixed bug #1598201 Hidden text is retained as a normal text after conversion  

ODF->OOX:
* Fixed bug #1568463 Incorrect style applied
* Fixed bug #1599504 Frame spacing to content is not retained after import
* Fixed bug #1599499 Frame background color is not retained after import



Release R1038 (0.3-M1) (2006-11-17)

Mono port :
* Added Makefiles for Mono (#1596447)
* Fixed bug #1596541 disable Tenuto in Mono build
* Fixed bug #1594299 un-conditional kernel32 usage
* Fixed bug #1594298 infinite recursion fix

OOX->ODF :
* Added Drop caps
* Fixed bug #1537306 "Table of Contents" background color is not retained
* Fixed bug #1585685 Page numbers, wrong start
* Fixed bug #1549293 Multi columned A.I is converted as single columned A.I.
* Fixed bug #1596928 Frames relative width and height is shown as absolute

ODF->OOX :
* Fixed #1598215(Add-in crashes when converting header and footer)
* Fixed bug #1569246 Document completely ruined



Release R1003 (0.3-M1) (2006-11-15)

OOX->ODF :
* Fixed bug #1596223 Image is not retained after imported
* Added Table Row function
* Added picture "layout in table cell" option (converted to anchor to page in OO)
* Added header/footer numbering
* Added header/footer styles

ODF->OOX :
* Fixed bug #1595590 Bookmarks are not retained after import
* Fixed bug #1595526 Character visited and unvisited links are not properly retained
* Fixed bug #1587940 Valid doc fails to open (3d drawing)
* Added break-before with page number start




Release R980 (0.3-M1) (2006-11-13)

OOX -> ODF :
* Fixed Bug #1593574 StackOverflow Crash (Voorstel)
* Fixed Bug #1593564 StackOverflow Crash (I-TEC)
* Fixed Bug #1592512 subscript and superscript are not properly retained
* Added Table Fill Color
* Added Footnotes and Endnote
* Added image text wrapping
* Added Date and Time
* Added image crop, picture position horizontal and vertical (partial)

ODF->OOX :
* Fixed Bug #1595408 Document not displayed after import.
* Fixed Bug #1579465 Add-in crashes when converting a file with an opened file (Alain's contrib)
* Fixed Bug #1593506 Document is invalid and fails to open (DPS).
* Fixed Bug #1587108 Layout problems.
* Fixed Bug #1584359 Position of the horizontal ruler is not retained.
* Fixed Bug #1593233 Table not retained properly.
* Fixed Bug #1593200 Frame is not retained after import.
* Fixed Bug #1585789 textbox is going out of page when rotated.
* Added offset in page number fields.
* Added link between text-boxes.
* Added footnote separator properties.


Release R941 (0.3-M1) (2006-11-08)

OOX->ODF :
* Added handling graphic properties: picture horizontal/vertical flip

ODF->OOX :
* Fixed bug #1592511 Header-Spacing between graphical bullet and text is not retained
* Fixed bug #1584253 Wrong positioned frame covers content
* Fixed bug #1592046 Valid document fails to open (Howto draw)
* Fixed bug #1585660 Picture smaller than in original
* Fixed bug #1585635 Text frame position in footer
* Fixed bug #1589405 Line break formatting not retained
* Fixed bug #1589761 Hyperlink text color is not retained after import
* Fixed bug #1585653 Text frame position offset
* Fixed bug #1587790 Position of basic drawing is not properly retained


Release R928 (0.2-Final Fix) (2006-11-06)

* Added Normal.dot management (Wolfgang's contrib)

OOX->ODF :
* Added start element - numbering lists
* Fixed bug #1587683 Gutter Top is not retained when Page gutter is applied
* Fixed bug #1583444 Wrong table shadow depth

ODF->OOX :
* Fixed bug #1575853 Google create file crashs when opened
* Fixed bug #1582883 File crash
* Fixed bug #1587940 Valid doc fails to open (3d drawing)
* Fixed bug #1587932 Valid doc fails to open (Skema dossier)
* Fixed bug #1587927 Valid doc fails to open (2d6 Manga)
* Fixed bug #1587928 Valid doc fails to open (2d6 Miniature)
* Fixed bug #1587931 Valid doc fails to open (2d6 Razze)
* Fixed bug #1587935 Valid doc fails to open (IPIC)
* Fixed bug #1587937 Valid doc fails to open (Email)
* Fixed bug #1587941 Valid doc fails to open (Data handling)
* Fixed bug #1587942 Valid doc fails to open (ZOVO tlac XML)
* Fixed bug #1587921 Conversion fails (Computer-implemented inventions 2)
* Fixed bug #1587870 Conversion fails (Computer-implemented inventions)
* Fixed bug #1587869 Conversion fails (GNU/Linux)
* Fixed bug #1587872 Conversion fails (CAHN)
* Fixed bug #1587868 Conversion fails (Rødkløver)
* Fixed bug #1587865 Conversion fails (czech document)
* Fixed bug #1584300 Table border not correct
* Fixed bug #1588538 Paragraph text is not retained after import
* Fixed bug #1590426 List indentation is not retained
* Fixed bug #1583523 Spacing before and after paragraph wrong


Release R890 (0.2-Final) (2006-10-30)

* Fixed bug #1579651 Localization should use Word cutlure (Alain's contrib)
* Added shell integration for Word 2003 & Word XP (Alain's contrib)

OOX->ODF :
* Fixed bug #1583492 lists containing pagebreaks doesn't convert properly
* Fixed bug #1583456 Text size wrong
* Fixed bug #1578793 Table borders are not retained.
* Fixed bug #1586197 Add-in crashes when converting Subtitle style
* Fixed bug #1586153 numbers added after conversion of heading text
* Fixed bug #1583416 Wrong bullets style

ODF->OOX :
* Fixed bug #1586211 First line indentation is not properly retained after import
* Fixed bug #1587089 TOC divided in pieces
* Fixed bug #1584366 hyperlink for horizontal ruler is not retained after import
* Fixed bug #1585782 Language attributes broken
* Fixed bug #1584599 language of text information lost
* Fixed bug #1585771 Heading numbers not completely converted
* Fixed bug #1585692 Heading / content lost
* Fixed bug #1582868 Bulleted list "spacing to text" wrongly converted
* Fixed bug #1585721 Conversion throws exception (odf11requirements.odt)
* Fixed bug #1584608 Font size not correct



Release R858 (0.2-Final) (2006-10-27)

* Fixed bug #1575798 Information dialog box corrections

ODF->OOX :
* Fixed bug #1584234 Document almost unreadable.
* Fixed bug #1585721 Conversion throws exception.
* Fixed bug #1584344 "Cross reference for header is not retained after import".
* Fixed bug #1585717 Conversion throws exception (Knoppenbalken.odt)
* Fixed tab stop calculation with column.
* Fixed bug #1585010 TrackChanges partly lost
* Fixed bug #1585008 : ** Text formatted as superscript
* Fixed bug #1584960 "Cross reference link is adding extra character after import"
* Fixed bug #1584960 "Cross reference link is adding extra character after import"
* Fixed bug #1584956 Footer lost in conversion
* Fixed bug #1538030 and 1583789 (TOC problems)
* Added user feedback for loss of objects with xml representation.

OOX->ODF :
* Fixed bug #1584999 Add-in crashes when converting Heading styles .
* Fixed bug #1583400 Style not correct converted
* Fixed bug #1583397 and partially fixed #1583398 (column-spans fixed)



Release R834 (0.2-Final) (2006-10-25)

* Fixed problem with feedback box not centered (Alain's contrib)
* Fixed bug #1575793 Word Add-In Window displayed "slowly" (Alain's contrib)
* Fixed bug #1575798 Information dialog box corrections (Alain's contrib)

ODF->OOX :
* Fixed bug #1584511 border lost: 2 seprate ODT tables become one Table on Word
* Fixed bug #1584876 Add-in crashes for reverse conversion
* Fixed bug #1557113 text-box relative position
* Fixed bug # in chapter field (style not found properly)
* Fixed bug #1533109 Endnote character is not retained after import
* Fixed bug #1579782 Roman numbers in TOC change to arabic ones
* Fixed bug #1582894 Numbered list wrongly numbered
* Fixed bug #1581753 : Table headers height is incorrect
* Added conversion of rotation in frame/textbox

OOX->ODF :
* Fixed bug #1583409 wrong bullets representation
* Fixed bug #1583387 Default Tab stops, Word vs. OO
* Added list style headings, table default style



Release R794 (0.2-Final) (2006-10-23)

OOX->ODF :
* Added Page and Column breaks
* Added Margins gutter top, left

ODF->OOX :
* Fixed bug #1556981 Pagenumbers have borders
* Fixed bug #1557113 "draw:custom-shape" grandient missing
* Added deletion in change tracking
* Added column breaks
* Added paragraph and border shadow
* Added style and frame target to hyperlink
* Added "Reference" Fields
* Added "Document" Fields
* Added "Document Information" Fields



Release R756 (0.2-Final) (2006-10-18)

* Added Export ODF feature on WordXP and Word2003

OOX->ODF :
* Added table row properties and cells properties

ODF->OOX:
* Fixed bug #1578941 Header-Page numbers with roman & character style are retained
* Fixed bug #1569311 Picture vertical alignment
* Fixed bug #1579484 Regular text is shown as bold text after import
* Fixed bug #1576635 Outline Level of styles is not retained
* Fixed bug #1578076 Textbox hyperlink is not retained after import
* Fixed bug #1575900 Paragraph leading line spacing is not properly retained
* Fixed bug #1578156 Hanging indent of footnote lost
* Fixed bug #1578489 Frame content is upside down
* Added CrossReferences



Release R728 (0.2-Final) (2006-10-16)

OOX->ODF :
* Added Hyperlinks
* Added extra spaces management
* Added table properties
* Added tab stop properties
* Added default document properties handling
* Added indentation-special-hanging

ODF->OOX :
* Added Paragraph numbering already handled (considered as list-item)
* Fixed bug #1573521 Add-In crashes when importing corrupted odt file
* Fixed bug #1576534 Addin crashes when converting saved odf file to docx
* Fixed bug #1574299 Add-in crashes when image inserted inside a frame
* Fixed bug #1576559 Check user feedback for lost features
* Fixed bug #1536847 Unable to import ODF document saved in WebLayout
* Fixed bug #1576470 Check the transfo on the test files set
* Fixed bug #1575855 Problem with page styles
* Fixed bug #1556411 Text missing Header
* Fixed bug #1556434 Text missing Footer
* Fixed bug #1556169 Section-Header and footer are not retained after import
* Fixed bug #1533888 Page numbers are missing
* Fixed bug #1570662 Bullets style is converted as number style after import
* Fixed bug #1575894 File generated by KWord crashes
* Added change tracking for inserted items
* Added shell integration for W2007 (Alain's contrib)
* Added Line numbering



Release R689 (0.2-Final) (2006-10-11)

* Added API for direct and reverse converters (only W2007 add-in)

ODF->OOX :
* Fixed bug #1557915 Frame positioning wrong
* Fixed bug #1575240 Paragraph-indentation is not properly retained after import
* Fixed bug #1573604 Table-Information dialog not shown after import
* Fixed bug #1575133 File cannot be opened
* Fixed bug #1570662 Bullets style is converted as number style after import
* Fixed bug #1574357 paragraph –At least line spacing is not retained after imp
* Fixed bug #1569281 Spacing before paragraph
* Fixed bug #1574295 Add-in crashes when graphic bullets inserted in header/footer
* Fixed bug #1575137 File crash, cannot be opened.

OOX->ODF :
* Fixed bug #1574279 The saved .odt file is empty and crashes for docx conversion
* Added indent 
* Added page background
* Added meta.xml 
* Added font face declaration


Release 0.2-Final-r666 (2006-10-09)

* Fixed bug #1570809 Tab stop problem
* Fixed bug #1538030 TOC in word is not printed correctly
* Fixed bug #1571128 paragraph –fixed line spacing is not retained after import
* Fixed bug #1565658 Frame wrap-spacing is wrongly imported
* Fixed bug #1553906 Frame border line style is not properly retained
* Fixed bug #1534589 text-underline-style wrongly converted
* Fixed bug #1570662 Bullets style is converted as number style after import
* Fixed bug #1538143 Text in hidden sections is lost
* Fixed bug #1556360 background color of frame wrong
* Fixed bug #1569209 Picture covering text
* Fixed bug #1569311 Picture vertical alignment
* Fixed bug #1569341 Cropped picture wrongly converted
* Fixed bug #1533168 Lower case formated text is imported as Capitalised text
* Fixed bug #1570466 Add-In crashes when note is inserted in the header
* Fixed bug #1569142 Image lost during convertion
* Fixed bug #1546553 The graphic bullets are not retained
* Fixed bug #1569238 Fields not correctly retained.
* Fixed bug #1569187 Problem with (left/hanging) indention
* Added Basic Shapes (ellipse, rectangle, round rectangle)
* Added Hyperlink support in text-boxes
* Added OOX->ODF 
- paragraphs (partial)
- styles (partial)
- tables (partial)
- endnote/footnote (partial).


Release 0.2-Final-r628 (2006-10-02)

* Fixed bug #1569251 Page margins wrong converted
* Fixed bug #1569236 "Table spacing below" lost
* Fixed bug #1569145 converted bullets shown as squares
* Fixed bug #1567732 Section break forces empty page
* Fixed bug #1569121 'Italic off' not retained in run
* Fixed bug #1538030 TOC in word is not printed correctly (partial)
* Fixed bug #1566881 Add-In crashes when importing anchored image
* Fixed bug #1567678 Table-first line indentation is not properly retained
* Fixed bug #1566812 Table- Spacing to content is not retained after import
* Fixed bug #1553970 Frame-Spacing from text is not properly retained after imp - relative size
* Fixed bug #1566933 Translator saves the converted file at the tool folder
* Fixed bug #1566921 Converter gives improper Results after batch coversion
* Fixed bug #1555314 Spacing between header and text is not retained
* Fixed bug #1557183 and add "style of page number"
* Fixed bug #1559687 Default Frame borders are not displayed after import


Release 0.2-M3-r601b (2006-09-29)

* Fixed performance issue


Release 0.2-M3-r601 (2006-09-27)

* Fixed bug #1557205 Picture wrongly positioned
* Fixed bug #1537974 Space between border & content not retained after import.
* Added Beta2 TR OOX Format compliance


Release 0.2-M3-r564 (2006-09-24)

* Fixed bug #1555313 Page border is not retained after import
* Fixed bug #1562728 Command liner tool not working with WinXP
* Added support for Word 2007 Beta2 TR


Release 0.2-M3-r533 (2006-09-20)

* Fixed bug #1557008 Printed TOC contains different pagenumbers - TODO text:toc-marks-start handling
* Fixed bug #1557183 TOC contains (wrong) page numbers only
* Fixed bug #1538058 Meta Data: Language not translated
* Fixed bug #1556438 "Don't use HTML paragraph autospacing" by default
* Fixed bug #1560640 Documents cannot be opened
* Fixed bug #1557220 text lost in connection with index table
* Fixed bug #1557706 Multicolumn Page containing TOC not imported properly
* Fixed bug #1554741 Table BG color with paragraph,frame combination is lost


Release 0.2-M2-r501 (2006-09-15)

* Fixed bug #1533115 Endnote formatting is not retained after import
* Fixed bug #1556961 Subtable not correctly rendered
* Fixed bug #1556227 File can not opened
* Fixed bug #1557915 frame positioning and sizing wrong
* Fixed bug #1557785 paragraph border crosses the page margin after import
* Fixed bug #1556360 background color of frame wrong
* Fixed bug #1553970 Frame-Spacing from text is not properly retained after imp
* Fixed bug #1557945 Bullets Styles are changes in Header after conversion
* Fixed bug #1556911 Wrong indent on numbered list
* Fixed bug #1557251 Border around paragraphs wrong
* Fixed bug #1557780 ’Show Level’ value of TOC is not selected properly
* Fixed bug #1558026 Character-anchored pictures style not preserved
* Fixed bug #1554206 Footnotes are superscript.
* Fixed bug #1557915 Frame positioning and sizing wrong (partial)


Release 0.2-M2-r481 (2006-09-13)

* Fixed bug #1546559 Text in the Readme needs to get proof read
* Fixed bug #1556302 File cannot be opened.
* Fixed bug #1549246 Image border is not retained inside a frame.
* Fixed bug #1556911 Wrong indent on numbered list.
* Fixed bug #1556350 Frames are printed with borders
* Fixed bug #1556297 Exception occurred while importing OLE Object.
* Fixed bug #1556957 Vertical pagenumbers in footer
* Fixed bug #1557085 Footer content lost
* Fixed bug #1556431 Numbering of list is continued.
* Fixed bug #1557055 "Centered" lost at graphic anchored to centered paragraph
* Fixed bug #1557220 Text lost in connetcion with index table
* Fixed bug #1556966 Graphic positioned above table, instead of below.
* Fixed bug #1557818 Add-in Crashes when there is a picture in the end note.
* Fixed bug #1557913 Footer partly lost
* Fixed bug #1557085 Footer content lost
* Fixed bug #1556452 (Partialy) missing pagenumbers / empty footer
* Fixed bug #1556434 Text missing: Footer
* Fixed bug #1557249 Tabstop at wron position
* Fixed bug #1557271 Default tabs with different distance
* Fixed bug #1549192 Inserted image is moved out of the frame after import
* Fixed bug #1549296 Image when anchored to frame is not retained after import.


Release 0.2-M2-r453 (2006-09-11)

* Fixed bug #1555187 Expectation occurred when columns inserted into a section
* Fixed bug #1555266 Multi column page throws an exception on import
* Fixed bug #1554174, #1553898 Annotation in frame exception error fixed
* Fixed bug #1554565 "Through" text wrapping shown as “Behind text “wrapping.
* Fixed bug #1553970 Frame-Spacing from text is not properly retained after import
* Fixed bug #1549246 Image border
* Fixed bug #1556307 File cannot be opened
* Fixed bug #1556290 File cannot be opened
* Fixed bug #1555195 Exception thrown when trying to import file with table
* Fixed bug #1556227 (no description)


Release 0.2-M2-r440 (2006-09-08)

* Fixed bug #1554013 Wrapping not retained when the frame is anchored As Character
* Fixed bug #1554091 "In background" wrapping imported as "In front of text" wrap
* Fixed bug #1553906 Frame border line style is not properly retained
* Added sections
* Added page formatting
* Added index of illustrations
* Added table imbrication and subtables (uncomplete)


Release 0.2-M2-r413 (2006-09-06)

* Fixed bug #1537301 alignment of page numbers in table of contents
* Fixed bug #1536607 Character formatting problems
* Fixed bug #1552490 Font size is not correctly retained after import.
* Fixed bug #1537301 Alignment of page numbers in table of contents
* Fixed bug #1542623 Frame inside a frame is not retained
* Added conversion of page numbers in alphabetical index which are in span mark
* Added PIA absence detection and setup cancellation


Release 0.2-M2-r385 (2006-09-04)

* Fixed bug #1545303 Large string in table cell goes outside the page boundary
* Fixed bug #1549304 Index Entry is shown under page number section of A.I
* Fixed bug #1548519 Font background color not retained after import. Set color to Yellow if not in the 16 basics basic colors
* Fixed bug #1542626 Table alignment inside a frame is lost after import
* Fixed bug #1548517 Text not retained in between the frame
* Fixed bug #1543805 Fonts declared twice in fontTable
* Fixed bug #1549253 spacing around frame
* Fixed bug #1546596 Information screen displayed after installation has already succeeded
* Added embedded frames feature improved
* Added paragraph formatting/Borders/properties/merge with next paragraph. Style of line inserted between paragraph may not match exactly the ODF style.
* Added Author, Subject, Title Fields
* Added Document final section properties
* Added hyphenation in paragraph formatting properties
* Added IExpress packaging for Add-In prerequisites


Release 0.2-M2-r332 (2006-08-30)

* Fixed bug #1541943 Page Background color is not retained after import in word.
* Fixed bug #1547810 The horizontal-ruler is not retained after import.
* Fixed bug #1534550 Grafic property Wrap= run-through wrongly converted
* Fixed bug #1549251 Frame wrapping
* Fixed bug #1547820 Alignment of Multilevel list Numbering is not retained.
* Addded relative width and height for frame
* Added page background color


Release 0.2-M2-r315 (2006-08-28)

* Fixed bug #1533807 Table -> Text Flow -> Page Break is not converted.
* Fixed bug #1536568 Para text partly imported & background color not retained.
* Fixed bug #1545997 Break across pages option for a table is selected after impo
* Fixed bug #1534592 Bold Italic text shown as regular text after Import
* Fixed bug #1536656 Bold text shown as regular text after import. The value of fo:font-weight can be numerical values.
* Fixed bug #1535976 Indentation an tab-stop of numbered headings wrong
* Fixed bug #1538054 Problem with font-face name and font-family
* Fixed bug #1536611 Positioning of frames fixed
* Fixed bug #1537434 Width of Font Highlight color area is changed after import
* Fixed bug #1538029 Indentation of border is not retained after import.
* Fixed bug #1542629 Table alignment is not retained after import.
* Fixed bug #1538645 Style ‘visited internet link’ of a text lost after import
* Fixed bug #1536607 Character formatting problems: Word or converter problem?
* Fixed bug #1534589 text-underline-style wrongly converted
* Added frame wrap and frame spacing
* Added image in text-box support
* Added alphabetical index
* Added insertion of note/annotation into the document.


Release 0.2-M2-r278 (2006-08-24)

* Fixed bug #1538054 Problem with font-face name and font-family
* Fixed bug #1537974 Space between border & content not retained after import
* Fixed bug #1542623 [partial] **Frame inside a frame is not retained
* Fixed bug #1542631 [partial] **Text not properly displayed inside the frame after import- partial
* Fixed bug #1538078 Equation and Visio objects are lost
* Fixed bug #1533127 Image Position is not retained after import.
* Fixed bug #1536666 Multilevel bulleted list uses same bullet on all levels
* Fixed bug #1535969 Multilevel list: indentation is wrong
* Fixed bug #1533130 Text Wrapped with the image is not retained after import.
* Fixed bug #1541955 List styles are not properly retained after import.
* Fixed bug #1526416 Page break after a paragraph is not retained after import
* Fixed bug #1528410 Paragraph spacing is not retained after import.
* Added index of table [partial]
* Added /T option in the command line tool to measure conversion time.


Release 0.2-M2-r255 (2006-08-21)

* Fixed bug #1535939 Multilevel list uses wrong numbering styles
* Fixed bug #1535982 Tab-stops are not converted
* Fixed bug #1541149 Styles not correctly applied.
* Fixed bug #1536769 Formatting not removed in imported document
* Fixed bug #1529661 Text Formatting with page break is lost after conversion.
* Fixed bug #1533176 Hyperlink is not retained after import
* Fixed bug #1531749 Paragraph under a multilevel list item is not retained.
* Fixed bug #1537390 Subscript text shown as a regular text after import.
* Fixed bug #1537395 Superscript text shown as regular text after import.
* Fixed bug #1533168 Lower case formated text is imported as Capitalised text.
* Fixed bug #1542631 Padding in frames added
* Fixed bug #1538054 Problem with font-face name and font-family
* Added relative font size of superscript or subscript


Release 0.2-M2-r240 (2006-08-16)

* Fixed bug #1535969 [partial] list indentation - TODO firstline indent
* Fixed bug #1538089 Bullets are lost 
* Fixed bug #1538073 [partial] links to the pages in Table of content fixed - TODO Index of tables
* Fixed bug #1536646 character style of text:span lost during conversion
* Fixed bug #1531736 Track Changes: Deleted text appears at start of document


Official Release 0.2-M1 (2006-08-10) (r231)

* Fixed bug #1530287 Converter reports unexpected error with image in document (was not related to image but to merged rows)
* Fixed bug #1536515 Blanks are not retained
* Updated README files


Release 0.2-M1-r217 (2006-08-09)

* fixed bug #1536666 conversion of bullet(some type are still not converted)
* Fixed bug #1536515 Blanks are not retained


Release 0.2-M1-r211 (2006-08-08)

* Changed UI icon
* Fixed bug #1535924 Runtime error (macro contained in document)
* Fixed bug #1534486 RunTime Error without SVM file
* Fixed bug #1536047 Text of frames is partly lost
* Fixed bug #1535969 Multilevel list indentation is wrong
* Fixed bug #1535939 Multilevel list uses wrong numbering styles
* fixed bug #1535982 Tab stops are not converted
* Fixed bug #1536007 Multilevel list prefixes are not converted
* Fixed bug #1534486 (fo:letter-spacing conversion problem). still one file crash (CV_IS.odt) 
* Fixed bug #1534609 width of column in tables fixed (@TODO handle problem of merged rows and subtables)
* Fixed bug #1534529 extra space added after footnote/endnote mark


Release 0.2-M1-r195 (2006-08-04)

* Fixed bug #153310 endnote mark imported in bullet list
* Added text box - TODO: assign styles and position
* Fixed Bug #1518159  SVM image not supported by Word
* Added headings numbering
* Fixed #1533811.not a performance problem but a subtables one. 
* Fixed #1533176 "Hyperlink is not retained after import"
* Added table of content


Release 0.2-M1-r183 (2006-08-02)

* Fixed #1530337 - only 63 columns are converted, @TODO - a proper error message indicating the column limitation of tables in Word
* Fixed 1524465 "Heading1" style imported as "Heading 11" style


Release 0.2-M1-r177 (2006-07-31)

* Added Document fields
 - Author Field
 - User Field
 - Date Field
 - Time Field
* Added keep together feature for row
* Fixed background for table (bug 1528982)
* Added style for tab stops
* Fixed bug #1524470 (line-spacing)
* Added endnotes feature 
* Added headers and footers feature
* Added image positon and text wrap
* Added Paragraph Border Style Double


Release 0.2-M1-r136 (2006-07-26)

* Added page number field transformation
* Added alignment of standalone picture in paragraph
* Added Paragraph Text Autospace
* Added Paragraph Vertical Alignment
* Added Paragraph Widows
* Added Paragraph Orphans
* Added Paragraph Keep Together
* Added custom footnote mark management


Release 0.2-M1-r107 (2006-07-24)

* Added ODF Add-in for Word XP.
* Added height of rows in tables
* Added handling width of cells in tables
* Added support for feedback on conversion coverage.
* Added : footnotes configuration
 - text:footnotes-position
 - style:num-format
 - text:start-numbering-at
 - text:start-value
* Added Paragraph Automatic Text Indent
* Fixed Page break after
* Added paragraph padding
* Added template to convert length units to point
* Added footnotes
* Added formatting properties translation :
 - Font Character Set
 - Window Font Color
 - Font Family Generic
 - Font Pitch
 - Font Character Set
 - Relative Font Size
* Added formatting properties translation :
 - Text Background Color
 - Text Combine
 - Text Combine Start and End Characters
 - Text Emphasis
 - Text Scale
 - Hidden or Conditional Text
 - Text Scale
 - Text Rotation Angle
 - Text Rotation Scale
 - Hyphenation
 - Hyphenation Remain Char Count
 - Hyphenation Push Char Count
 - Hidden or Conditional Text
* Added Paragraph border
* Fixed Import of vertical text direction in table cell (bug 1525310)
* Added Handling of not acctepted alignment value "margin" added (1524446)


Release 0.2-M1-r58 (2006-07-19)

* French localization
* Merge cells in tables (#70)
* Formatting properties:
 - Font Variant
 - Text Transformations
 - Text Outline, 
 - Line Through Type
 - Line Through Style
 - Line Through Width
 - Line Through Color
 - Line Through Text
 - Line Through Text Style
 - Text Position
 - Letter Spacing
 - Language
 - Country
 - Font Style
 - Font Relief
 - Text Shadow
 - Font Weight
 - Text Underline Word Mode
 - Text Line Through Word Mode
 - Letter Kerning
 - Text Blinking
* Multi-level text numbering
* Vertical alignment in table cell (bug 1524476)
* Styles on list
* Paragraph background color
* Paragraph Break Before and Break After


Release 0.2-M1-r30 (2006-07-17)

* Table border (pints) fixed
* Fixed table header on corresponding pages
* Fixed line spacing in tables
* Superscript and subscript text conversion fixed
* Line spacing within the table cells fixed


Release 0.2-M1-r24 (2006-07-12)

* Added Default styles management
* Fixed font size computation
* Added handling background color for tables
* Fixed manual line break transformation

Release 205a (2006-07-05)

* Changed some labels and updated README.TXT files.


Release 205 (2006-07-05)

* Fixed bugs with the command line tool (crash when invalid path or file names)


Release 203 (2006-07-04)

* Fixed crash when not opening and OpenDocument file.
* Changed temporary file name convention.
* Changed ConverterForm error handling.
* Added README in the installer graphical interface.


Release 188 (2006-06-30)

* Fixed ole-image crash the application. Though they are out of the scope of this prototype, they are explicitly bypassed.
* Fixed table-cell </w:tc> makes the application crash without validation error when not immediately preceded by <w:p/>.
* Fixed external image links crashes. Management of external images temporarily removed.
* Added WMF image support.
* Added document settings. Default "print" layout.
* Disabled Export button in Ribbon UI.
* Moved ContentTypes and Package-Relationships management to separate files.


Release 161 (2006-06-27)

* Added measure conversion template to CleverAge.OdfConverter.OdfConverterLib.resources.common.xsl. 
Converts 'cm', 'px', 'in', 'pt', 'dpt', 'pica' to 'twip'.	      



